Bug 15994 - Adding font awesome icons to Funds actions
Summary: Adding font awesome icons to Funds actions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-06 22:44 UTC by Aleisha Amohia
Modified: 2017-06-14 22:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15994: Adding font awesome icons to Funds actions (2.87 KB, patch)
2016-03-06 22:47 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 15994: Adding font awesome icons to Funds actions (2.92 KB, patch)
2016-03-08 20:54 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 15994: Adding font awesome icons to Funds actions (3.00 KB, patch)
2016-03-09 12:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2016-03-06 22:44:11 UTC

    
Comment 1 Aleisha Amohia 2016-03-06 22:47:18 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-03-07 15:26:35 UTC
This patch uses a "trash" icon for delete:

<i class="fa fa-trash"></i>

...while other use the "remove" icon (an X):

<i class="fa fa-remove"></i>

We need to pick one and standardize on it.

Perhaps the trash icon is more correct even if it is currently less common in the templates. Use it for "delete" and use the X in cases where we mean "cancel?"
Comment 3 Katrin Fischer 2016-03-07 18:45:34 UTC
Differentiating between cancel and delete would make sense to me!
Comment 4 Nicole C. Engard 2016-03-08 20:54:41 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-03-09 12:16:07 UTC
% git grep Delete | grep fa-trash|wc
     11     156    3712
% git grep Delete | grep fa-remove|wc
     16     220    4297

I also prefer the trash icon for the deletion. I have just QAed several patches using the trash icons, so let's move fa-remove to fa-trash in another bug report?
Comment 6 Jonathan Druart 2016-03-09 12:17:20 UTC
Created attachment 48851 [details] [review]
Bug 15994: Adding font awesome icons to Funds actions

To test:

1) Go to Administration -> Funds
2) Confirm that appropriate Font Awesome icons now appear to each action in drop down menu

Sponsored-by: Catalyst IT

Signed-off-by: Nicole C Engard <nengard@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Owen Leonard 2016-03-09 13:18:27 UTC
(In reply to Jonathan Druart from comment #5)

> I also prefer the trash icon for the deletion. I have just QAed several
> patches using the trash icons, so let's move fa-remove to fa-trash in
> another bug report?

Bug 16005
Comment 8 Brendan Gallagher 2016-03-09 16:50:19 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!